Cyberduck Mountain Duck CLI

#340 closed defect (worksforme)

Large SFTP transfers disconnecting

Reported by: dirtymatt@… Owned by: dkocher
Priority: normal Milestone: 2.8
Component: sftp Version: 2.5.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When transfering large files over SFTP the connection will repeatedly disconnect. I have tried this with both a Linux and Mac OS X server and have seen the same results. The exact error given after the disconnect is "IO Error: Timeout waiting for server message".

Change History (4)

comment:1 Changed on May 18, 2006 at 10:27:42 PM by tas50@…

I've been having this issue with files over 2 gigs. It gets to the 2 gig point and then I have to attempt to resume the transfer

comment:2 Changed on May 26, 2006 at 7:48:16 AM by jmz@…

Cyberduck doesn't free memory for packets already sent; it in effect consumes all memory for large files, and then fails the transfer when the system runs out of memory.

The correct solution would be to use a fixed buffer for copying files. Without looking at the source, it feels like Cyberduck reserves new memory for each packet or chunk of file, instead of reusing the same memory.

comment:3 Changed on May 27, 2006 at 1:35:50 AM by dkocher

  • Milestone set to 2.6

Garbage collection is not working effectivly in some cases it seems.

comment:4 Changed on May 24, 2007 at 8:17:29 PM by dkocher

  • Milestone changed from 2.9 to 2.8
  • Resolution set to worksforme
  • Status changed from new to closed

Should be resolved. We do not depend on J2SSH anymore.

Note: See TracTickets for help on using tickets.
swiss made software